Bug 156720 - Display stdout/stderr for test runs
Display stdout/stderr for test runs
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@connecteddeveloper
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 21:13 UTC by Jesse Glick
Modified: 2009-04-05 18:13 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-01-13 21:13:28 UTC
Since Hudson 1.272 (https://hudson.dev.java.net/nonav/issues/show_bug.cgi?id=2760), can supposedly get stdout/stderr in
addition to failure stack traces. This should probably be displayed along with the failures, to give the developer more
context (diagnostic log messages etc.).

Currently this seems broken: https://hudson.dev.java.net/nonav/issues/show_bug.cgi?id=2839

Since Hudson 1.274 it should be possible to use "?xpath=//errorStackTrace" or similar to limit the amount of data
transferred. (Broken in 1.273.)
Comment 1 Jesse Glick 2009-02-05 22:59:20 UTC
Hudson should be fixed in 1.281.
Comment 2 Jesse Glick 2009-02-06 15:36:26 UTC
cdev #69df4576a9dc
Comment 3 Quality Engineering 2009-03-17 08:38:48 UTC
Integrated into 'main-golden', will be available in build *200903170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/69df4576a9dc
User: Jesse Glick <jglick@netbeans.org>
Log: #156720: showing stdio from tests as well as stack traces.
Also improving robustness of action; an OW tab is created only if output is actually about to be displayed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo